package models

import "io/fs"

type ThemeMeta struct {
	ID   string
	Name string

	// Source repo
	URL       string
	OverlayFS fs.FS
	Overlays  map[string]string

	// Indicates that this theme prefers posts have titles.
	PreferTitle bool

	// Indicates that the theme doesn't automatically put titles on pages
	AddTitleToPages bool

	// Page bundle for "blog" posts
	BlogPostBundle string
}
